This URL deletes CIDRs.
Resource URL
DELETE /sensor/<sensor_id>/interface/<interface_id>/cidr
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Sensor id | Number | Yes |
| Unique interface/subinterface id | Number | Yes |
Payload Parameters:
Details of CIDR’s:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| List of CIDRs | Array | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Status returned by deletion | Number |
Example
Request
DELETE https://<NSM_IP>/sdkapi/sensor/1001/interface/124/cidr
Payload
{
"cidrList": [
"8.8.8.1/32",
"8.8.8.12/32",
"8.8.8.13/32"
]
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1106 | Invalid Sensor |
2 | 404 | 1107 | Invalid interface or sub-interface ID |
3 | 400 | 1701 | Invalid CIDR notation |
4 | 400 | 1137 | Duplicate CIDR entry |
5 | 400 | 1133 | Invalid CIDR provided |
6 | 500 | 1001 | Internal error |
7 | 400 | 1170 | No CIDR available for allocation |
8 | 400 | 1172 | Invalid CIDR(s) provided to delete/revoke |